/* ================ Reset ================ */
* {
    margin:  0;
    padding: 0;
    gap:     0;
    box-sizing:  border-box;
    user-select: none;
    outline:     none;
}

hr {
    border: none;
}

li {
    list-style: none;
}

a {
    color: black;
    text-decoration: none;
}

button {
    border: none;
    background: none;
}

img {
    -webkit-user-drag: none;
}




/* ================ Global ================ */
h1, h2, h3 {
    color: hsl(0, 0%, 5%);
    font-family: system-ui;
}

li, p, a {
    /* color: hsl(0, 0%, 5%); */
    font-family: system-ui;
    font-weight: 500;
}

h2 a {
    /* font-weight: inherit; */
}

button {
    cursor: pointer;
}

img, video {
    max-width: 100%;
}




/* ============================================ */
/* ================ Background ================ */
/* ============================================ */
html {
    scroll-behavior: smooth;
}

body {
    min-height: 100vh;
}

/* body::before {
    content: '';
    position: fixed;
    inset: 0;
    z-index: -1;
    background: linear-gradient(45deg, hsl(0, 0%, 92%), hsl(0, 0%, 99%));
} */




/* ======================================== */
/* ================ Header ================ */
/* ======================================== */

header div {
    display: flex;
    justify-content: center;
    align-items: center;

    /* background-color: MediumPurple; */
    /* background-color: DarkOrchid; */
    /* background-color: RebeccaPurple; */
    /* background: linear-gradient(MediumPurple, DarkOrchid); */

    /* background-color: PaleVioletRed; */
    /* background-color: MediumVioletRed; */
    background: linear-gradient(PaleVioletRed, MediumVioletRed);

    height: 70px;
}

header h1 {
    color: white;
    margin-top: -5px;
    text-shadow: hsl(0, 0%, 0%, 25%) 0 0 12px;
}

header hr {
    /* height: 1px; */
    /* background: white; */
}



/* ================ Navbar ================ */
nav {
    position: sticky;
    top: 0;
    z-index: 2;
    /* background-color: white; */
    background: linear-gradient(to right, hsl(0, 0%, 92%), hsl(0, 0%, 96%));
    box-shadow: hsl(0, 0%, 0%, 11%) 0 4px 5px;
}

nav ul {
    overflow: hidden;
    display: flex;
    align-items: center;
    margin: auto;
    max-width: 1080px;
    height: 25px;
    padding-left: 12px;
}

nav a {
    white-space: nowrap;
    /* color: white; */
    margin-right: 15px;
}

nav a:hover {
    color: goldenrod;
}



/* ================ Carrousel ================ */
.carrousel {
    position: fixed;
    z-index: 2;
    top: 50%;

    font-weight: bolder;
    border-radius: 15px;
    width:  30px;
    height: 30px;

    background-color: hsl(351, 100%, 80%);
    /* background-color: hsl(340, 60%, 70%); */
    
    /* color: white; */
    box-shadow: hsl(0, 0%, 0%, 12%) 0 0 10px;
}

.carrousel:hover {
    background-color: hsl(351, 100%, 74%);
    /* background-color: PaleVioletRed; */
}

.carrousel#prev { left:  10px; }
.carrousel#next { right: 10px; }





/* ====================================== */
/* ================ Main ================ */
/* ====================================== */
main {
    overflow: hidden;
    margin: auto;
    max-width: 1080px;
    min-height: 100vh;

    padding-top:    35px;
    padding-left:   10px;
    padding-right:  10px;
    padding-bottom: 50px;
}




/* ================ Sections ================ */
section {
    /* border-radius: 8px; */
    /* background: white; */
    /* background: hsl(0, 0%, 95%); */
    /* background: linear-gradient(45deg, hsl(0, 0%, 95%), hsl(0, 0%, 99%)); */
    /* box-shadow: hsl(0, 0%, 75%, 25%) 0 0 11px; */

}

section h2, section h3 {
    /* display: flex; */
    /* align-items: center; */
    /* justify-content: center; */
    text-align: center;

    /* padding-top:     5px; */
    /* padding-left:   15px; */
    /* padding-bottom:  5px; */
    /* height: 35px; */
    /* text-shadow: white 0 0 10px; */
    text-shadow: hsl(0, 0%, 0%, 12%) 0 0 10px;
}




/* ================ Containers ================ */
section div, section ul {
    padding-top:    10px;
    padding-left:    8px;
    padding-right:   8px;
    padding-bottom: 20px;
}




/* ========================================= */
/* ================ Customs ================ */
/* ========================================= */

/* ================ Profiles ================ */
#profiles div {
    display: grid;
    margin-top: 10px;
    column-gap: 30px;
    row-gap:    30px;
}
@media (min-width: 640px) { #profiles div { grid-template-columns: repeat(4, 1fr); } }
@media (max-width: 640px) { #profiles div { grid-template-columns: repeat(3, 1fr); } }
@media (min-width: 640px) { #profiles div { column-gap: 30px } }
@media (max-width: 640px) { #profiles div { column-gap: 18px } }
@media (min-width: 640px) { #profiles div { row-gap:    30px } }
@media (max-width: 640px) { #profiles div { row-gap:    22px } }



#profiles a:hover img {
    filter: brightness(1.08);
    box-shadow: hsl(0, 0%, 0%, 0%) 0 0 12px;
}


#profiles img {
    object-fit: cover;
    aspect-ratio: 1/1;
    border-radius:  50%;
    transition: 80ms;
    box-shadow: hsl(0, 0%, 0%, 15%) 0 0 12px;
    /* border: solid 5px Pink; */
    /* border: solid 5px LightPink; */
}
@media (min-width: 640px) { #profiles img { border: solid 5px LightPink; } }
@media (max-width: 640px) { #profiles img { border: solid 4px LightPink; } }


#profiles p {
    text-align: center;
}






/* ======================================== */
/* ================ Footer ================ */
/* ======================================== */

/* ================ Navigation ================ */
#gohead {
    position: fixed;
    bottom: 25px;
    right:  25px;

    border-radius: 15px;
    width:  30px;
    height: 30px;
    /* background: hsl(43, 66%, 60%); */
    box-shadow: hsl(0, 0%, 0%, 20%) 0 0 10px;
    background-color: hsl(351, 100%, 80%);
}

#gohead:hover {
    /* background: hsl(43, 75%, 53%); */
    background-color: hsl(351, 100%, 74%);
}

#gohead p {
    /* color: white; */
    font-size: 15px;
    margin-top: -5px;
}



/* ================ Footer ================ */
footer {
    display: flex;
    justify-content: center;
    align-items: center;
    background: linear-gradient(PaleVioletRed, MediumVioletRed);
    height: 90px;
    box-shadow: hsl(0, 0%, 0%, 50%) 0 0 15px;
}

footer h1 {
    color: white;
    text-shadow: hsl(0, 0%, 0%, 33%) 0 0 12px;
}